
Showroom Mobile Banking - Bug #13729

vkey - cordova plugin test

07 June 2022 10:16 AM - chok yee fan

Status: Pending SIT Start date: 07 June 2022

Priority: Normal Due date:  

Assignee: See Liang Lim % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Phase: R1 Branch Code: showroom-proj-base-i5

Description

As attached vkey cordova plugin. try to install the cordova plugin into the showroom, and run into the phone (Android and iOS). See

everything run smooth or not.

Note: download info if need to redownload again

URL                :     

https://support.v-key.com/release/sdks48tk/Cordova/VKey-Cordova-PluginPackage-POC-78-Silverlake-03Jun2022.zip

Username           : vkeysdks

MD5                :   3ff38bfe809df40c7a89c7b36e91875e

Password           :    MyJaLeBR

Unzip password     :    S/zB5dZ6mfnX

History

#1 - 07 June 2022 11:18 AM - chok yee fan

- File release-asset-debug-package.zip added

The Cordova plugin requires assets (license) to be functional

Asset files:

firmware, signature, profile, vkeylicensepack, voscodesign.vky

The asset is valid until 31 July 2022.

Rename files for Android:

signature_android.enc->signature

vkeylicensepack_Silverlake_Android_Customer_Info.txt->vkeylicensepack

Put the asset files to path:

com-vkey-vguard/assets/android

Refer attachment release-asset-debug-package.zip

#2 - 09 June 2022 11:41 AM - chok yee fan

- File profile_77 added

#3 - 09 June 2022 04:52 PM - chok yee fan

it will hit the error unable to find .arr file. Please grab it from the link
https://support.v-key.com/release/sdks48tk/Cordova/VKey-Cordova-PluginPackage-POC-78-Silverlake-03Jun2022.zip


https://silverlakeaxisltd-my.sharepoint.com/:u:/g/personal/chokyf_silverglobe_com/ESOHZkZU8bBOgvHhFzWrR4kBvEjEQisjXx0Nd6HVtH31kQ?e=m

KVkxE

#4 - 22 June 2022 02:50 PM - chok yee fan

all doc related uploaded to this onedrive, anything can upload here

https://silverlakeaxisltd-my.sharepoint.com/:f:/g/personal/chokyf_silverglobe_com/EosB8hq61a5DqdGiyiH_-i4B8lCTzf5RR5tIt-8aQFk7rQ?e=dvbjrd

#5 - 01 July 2022 04:23 PM - chok yee fan

keystore required by vkey in this bug as well

https://dev.silverlakemobility.com/redmine/issues/13717

#6 - 13 July 2022 02:34 PM - Megat AhmadSalehudin

- Status changed from New to Resolved

- Assignee changed from Megat AhmadSalehudin to Hoo Dextor

- % Done changed from 0 to 100

r217931 | ahmadsalehudin | 2022-07-13 14:33:42 MYT

Changed paths:

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/com-vkey-vguard/4.8/com-vkey

-vguard/assets/android/signature

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/login-main/currency-test/currency-tes

t.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/com-vkey-vguard/4.8/com-vkey

-vguard/assets/android/firmware

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/com-vkey-vguard/4.8/com-vkey

-vguard/assets/android/vkeylicensepack

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/shared/sl-common/vkey/vkey.service

.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/com-vkey-vguard/4.8/com-vkey

-vguard/assets/android/voscodesign.vky

Megat - Bug #13729 - vkey - cordova plugin test

----------------------------------------------------------------------------

Note: Successfully integrated the plugin
https://silverlakeaxisltd-my.sharepoint.com/:u:/g/personal/chokyf_silverglobe_com/ESOHZkZU8bBOgvHhFzWrR4kBvEjEQisjXx0Nd6HVtH31kQ?e=mKVkxE
https://silverlakeaxisltd-my.sharepoint.com/:u:/g/personal/chokyf_silverglobe_com/ESOHZkZU8bBOgvHhFzWrR4kBvEjEQisjXx0Nd6HVtH31kQ?e=mKVkxE
https://silverlakeaxisltd-my.sharepoint.com/:f:/g/personal/chokyf_silverglobe_com/EosB8hq61a5DqdGiyiH_-i4B8lCTzf5RR5tIt-8aQFk7rQ?e=dvbjrd
https://dev.silverlakemobility.com/redmine/issues/13717
https://dev.silverlakemobility.com/redmine/issues/13729


#7 - 03 August 2022 11:01 AM - Megat AhmadSalehudin

- Status changed from Resolved to Pending SIT 

- Assignee changed from Hoo Dextor to See Liang Lim

Released v2.0.0.4 SIT

Files

cordova-smart-token-plugin-master@230d1d37137.zip 39.8 KB 07 June 2022 chok yee fan

cordova-app-protection-plugin-master@8ce1b4d2fab.zip 163 KB 07 June 2022 chok yee fan

MD5-checksum.csv 433 Bytes 07 June 2022 chok yee fan

release-asset-debug-package.zip 1.38 MB 07 June 2022 chok yee fan

profile_77 4.68 KB 09 June 2022 chok yee fan
